Denial of service in Hedgedoc



Published: 2021-05-04
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2021-21306
CWE ID CWE-400
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
HedgeDoc
Client/Desktop applications / Other client software

Vendor HedgeDoc

Security Advisory

This security advisory describes one medium risk vulnerability.

1) Resource exhaustion

Risk: Medium

CVSSv3.1: 6.5 [CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C] [PCI]

CVE-ID: CVE-2021-21306

CWE-ID: CWE-400 - Uncontrolled Resource Consumption ('Resource Exhaustion')

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to application does not properly control consumption of internal resources. A remote attacker can trigger resource exhaustion and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

HedgeDoc: 0.3.3, 0.3.4, 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.4.5, 0.4.6, 0.5.0, 0.5.1, 1.2.0, 1.2.1, 1.3.0, 1.3.1, 1.3.2, 1.4.0, 1.5.0, 1.6.0, 1.7.0, 1.7.1, 1.7.2

CPE External links

https://github.com/hedgedoc/hedgedoc/releases/tag/1.8.0

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###